"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const creator_utils_1 = require("@knapsack/creator-utils");
const commands_1 = require("./commands");
(0, creator_utils_1.createCreatorCli)({
    creators: [],
    alterYargs(yargs) {
        yargs.command('build', 'Build JS using esbuild', {
            src: {
                string: true,
                default: './src/index.ts',
            },
            dist: {
                string: true,
                default: './dist',
            },
            // watch: {
            //   boolean: true,
            //   default: false,
            // },
        }, async ({ src, dist }) => {
            try {
                await (0, commands_1.runEsBuild)({
                    src,
                    dist,
                    // watch,
                });
            }
            catch (e) {
                console.error(e);
                process.exit(1);
            }
        });
    },
});
//# sourceMappingURL=cli.js.map