"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runEsBuild = void 0;
const esbuild_1 = require("esbuild");
const globby_1 = __importDefault(require("globby"));
async function runEsBuild({ src, dist, }) {
    const entryPoints = await (0, globby_1.default)(src);
    const results = await (0, esbuild_1.build)({
        entryPoints,
        outdir: dist,
        logLevel: 'error',
        bundle: false,
        external: [],
        // watch,
        format: 'cjs',
        platform: 'node',
        metafile: true,
        sourcemap: true,
        plugins: [
        // {
        //   name: 'my-custom-esbuild-plugin',
        //   setup(b) {
        //   }
        // }
        ],
    });
    return results;
}
exports.runEsBuild = runEsBuild;
//# sourceMappingURL=commands.js.map